| 0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTX_rotate_normalized_axis
GTX Extensions (Experimental)

Quaternions and matrices rotations around normalized axis. More...

## Functions
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | rotateNormalizedAxis (tmat4x4< T, P > const &m, T const &angle, tvec3< T, P > const &axis)
| Builds a rotation 4 * 4 matrix created from a normalized axis and an angle. More...
template<typename T , precision P>
GLM_FUNC_DECL tquat< T, P > | rotateNormalizedAxis (tquat< T, P > const &q, T const &angle, tvec3< T, P > const &axis)
| Rotates a quaternion from a vector of 3 components normalized axis and an angle. More...

## Detailed Description

Quaternions and matrices rotations around normalized axis.

<glm/gtx/rotate_normalized_axis.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL tmat4x4<T, P> glm::rotateNormalizedAxis | ( | tmat4x4< T, P > const & | m,
|  | T const & | angle,
|  | tvec3< T, P > const & | axis
| ) |  |

Builds a rotation 4 * 4 matrix created from a normalized axis and an angle.

Parameters

  m | Input matrix multiplied by this rotation matrix.
  angle | Rotation angle expressed in radians if GLM_FORCE_RADIANS is define or degrees otherwise.
  axis | Rotation axis, must be normalized.

Template Parameters

  T | Value type used to build the matrix. Currently supported: half (not recommanded), float or double.

See also
  GLM_GTX_rotate_normalized_axis
  - rotate(T angle, T x, T y, T z)
  - rotate(tmat4x4<T, P> const & m, T angle, T x, T y, T z)
  - rotate(T angle, tvec3<T, P> const & v)

GLM_FUNC_DECL tquat<T, P> glm::rotateNormalizedAxis | ( | tquat< T, P > const & | q,
|  | T const & | angle,
|  | tvec3< T, P > const & | axis
| ) |  |

Rotates a quaternion from a vector of 3 components normalized axis and an angle.

Parameters

  q | Source orientation
  angle | Angle expressed in radians if GLM_FORCE_RADIANS is define or degrees otherwise.
  axis | Normalized axis of the rotation, must be normalized.

See also
  GLM_GTX_rotate_normalized_axis